Bug 16039 - Stop using AllowAny
Stop using AllowAny
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
All All
: P2 normal
: ---
Assigned To: Silvia Pfeiffer
HTML WG Bugzilla archive list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-20 20:12 UTC by Ms2ger
Modified: 2012-09-21 10:18 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ms2ger 2012-02-20 20:12:26 UTC
setTimeout/setInterval still use [AllowAny], which was removed from WebIDL (<http://dev.w3.org/2006/webapi/WebIDL/#changes>). Apparently the annotation can just be removed from the IDL.
Comment 1 contributor 2012-07-18 06:55:54 UTC
This bug was cloned to create bug 17825 as part of operation convergence.
Comment 2 Silvia Pfeiffer 2012-09-21 10:18:38 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
   you are satisfied with this response, please change the state of
   this bug to CLOSED. If you have additional information and would
   like the Editor to reconsider, please reopen this bug. If you would
   like to escalate the issue to the full HTML Working Group, please
   add the TrackerRequest keyword to this bug, and suggest title and
   text for the Tracker Issue; or you may create a Tracker Issue
   yourself, if you are able to do so. For more details, see this
   document:       http://dev.w3.org/html5/decision-policy/decision-policy.html

   Status: Accepted
   Change Description: Patch applied
https://github.com/w3c/html/commit/7c221271db888a427aa9bd8eea51e00c7388d315
   Rationale: adopted from WHATWG